import { GeolocationEvent, IGeocoordinate, IGeolocationApi } from "../apis/api.interfaces";
export declare class WidgetGeolocationApi implements IGeolocationApi {
    private _geoLocationApi;
    private _eventListeners;
    constructor();
    initialize(): Promise<void>;
    getLocation(): Promise<IGeocoordinate>;
    addEventListener(listener: (eventName: GeolocationEvent, location: IGeocoordinate) => void): void;
    removeEventListener(listener: (eventName: GeolocationEvent, location: IGeocoordinate) => void): void;
    private fireEvent;
    private getLocationInternalAsync;
    private _geoLocation;
}
